| template-haskell-2.4.0.1 | Contents | Index

Language.Haskell.TH.Syntax.Internals

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Description
Abstract syntax definitions for Template Haskell.
Documentation
newtype ModName

Constructors

ModName String |

Instances

Eq ModName
Data ModName
Ord ModName
Typeable ModName

newtype PkgName

Constructors

PkgName String |

Instances

Eq PkgName
Data PkgName
Ord PkgName
Typeable PkgName

newtype OccName

Constructors

OccName String |

Instances

Eq OccName
Data OccName
Ord OccName
Typeable OccName

Produced by Haddock version 2.6.1